#include "Highscore.h"

#include <vector>
#include "core/CoreIncludes.h"
#include "core/config/ConfigValueIncludes.h"
#include "core/singleton/ScopedSingletonIncludes.h"

namespace orxonox
{

    ManageScopedSingleton(Highscore, ScopeID::ROOT, false);
	RegisterClassNoArgs(Highscore);

	Highscore::Highscore()
    {
        RegisterObject(Highscore);
        this->setConfigValues();
    }

    void Highscore::setConfigValues()
    {

		SetConfigValue(name_, "Test").description("The name of the game");
        SetConfigValue(tests_, std::vector<std::string>()).description("Testvektor");
    }
    void Highscore::storeHighscore(std::string player, std::string level, int points){
        ModifyConfigValue(tests_, add, player+"./."+level+"./."+std::to_string(points));
    }
    /* static std::string Highscore::getName(){
        std::string result;
        result = Highscore::name_;
        return result;
    }*/
}
